/*
 * Class WEL_ICON
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_717 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_717 [] = {0xFF01,1551,716,0xFFFF};
static const EIF_TYPE_INDEX egt_2_717 [] = {0xFF01,716,0xFFFF};
static const EIF_TYPE_INDEX egt_3_717 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_717 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_717 [] = {0xFF01,716,0xFFFF};
static const EIF_TYPE_INDEX egt_6_717 [] = {0xFF01,716,0xFFFF};
static const EIF_TYPE_INDEX egt_7_717 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_717 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_717 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_717 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_717 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_717 [] = {0xFF01,716,0xFFFF};
static const EIF_TYPE_INDEX egt_13_717 [] = {0xFF01,2094,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_717 [] = {0xFF01,1670,869,0xFFFF};
static const EIF_TYPE_INDEX egt_15_717 [] = {0xFF01,213,0xFFFF};
static const EIF_TYPE_INDEX egt_16_717 [] = {0xFF01,2094,869,0xFFFF};


static const struct desc_info desc_717[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_717), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_717), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_717), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_717), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_717), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_717), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_717), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_717), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_717), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_717), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_717), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_717), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0599 /*716*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_717), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12904, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17282, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 16},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 1},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12898, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 1},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12899, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12900, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12901, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12902, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12903, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12904, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17347, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12906, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12907, 12},
	{EIF_GENERIC(egt_13_717), 12908, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_717), 12897, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17343, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17344, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17345, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17353, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_717), 17266, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17267, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17274, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17275, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17348, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17278, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17279, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_717), 17280, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17281, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9607, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9609, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17340, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17341, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x05F9 /*764*/), 17346, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17349, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17350, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17351, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17352, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17356, 0xFFFFFFFF},
};
void Init717(void)
{
	IDSC(desc_717, 0, 716);
	IDSC(desc_717 + 1, 1, 716);
	IDSC(desc_717 + 32, 791, 716);
	IDSC(desc_717 + 34, 1359, 716);
	IDSC(desc_717 + 44, 1503, 716);
	IDSC(desc_717 + 47, 529, 716);
	IDSC(desc_717 + 62, 941, 716);
	IDSC(desc_717 + 68, 1369, 716);
	IDSC(desc_717 + 75, 894, 716);
	IDSC(desc_717 + 79, 693, 716);
	IDSC(desc_717 + 89, 1252, 716);
}


#ifdef __cplusplus
}
#endif
